# petsc4py.PETSc.DMSwarm.PICLayoutType

class petsc4py.PETSc.DMSwarm.PICLayoutType

  Bases: `object`

  Swarm PIC layout types.

  Attributes Summary

  `LAYOUT_GAUSS` | Constant `LAYOUT_GAUSS` of type `int`
  `LAYOUT_REGULAR` | Constant `LAYOUT_REGULAR` of type `int`
  `LAYOUT_SUBDIVISION` | Constant `LAYOUT_SUBDIVISION` of type `int`

  Attributes Documentation

  LAYOUT_GAUSS: int = LAYOUT_GAUSS

    Constant `LAYOUT_GAUSS` of type `int`

  LAYOUT_REGULAR: int = LAYOUT_REGULAR

    Constant `LAYOUT_REGULAR` of type `int`

  LAYOUT_SUBDIVISION: int = LAYOUT_SUBDIVISION

    Constant `LAYOUT_SUBDIVISION` of type `int`